OFB_Mode< CIPHER > Class Template Reference

OFB block cipher mode of operation. More...

Inheritance diagram for OFB_Mode< CIPHER >:

## Public Types

typedef CipherModeFinalTemplate_CipherHolder< typename CIPHER::Encryption, ConcretePolicyHolder< Empty, AdditiveCipherTemplate< AbstractPolicyHolder< AdditiveCipherAbstractPolicy, OFB_ModePolicy > > > > | Encryption
typedef Encryption | Decryption
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Detailed Description

### template<class CIPHER>
class OFB_Mode< CIPHER >

OFB block cipher mode of operation.

Definition at line 386 of file modes.h.

The documentation for this class was generated from the following file:

- modes.h